-- Hilfeanzeige zur Bedienung für FS17_Mercedes_Actros_SLT LS15
-- created by ===sven===
-- Date: 01.08.2016
helpVSRLOURD = {};

function helpVSRLOURD.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(AnimatedVehicle, specializations);
end;

function helpVSRLOURD:load(savegame)
    self.helpVSRLOURD = false;
end;

function helpVSRLOURD:delete()
end;

function helpVSRLOURD:mouseEvent(posX, posY, isDown, isUp, button)
end;

function helpVSRLOURD:keyEvent(unicode, sym, modifier, isDown)
end;

function helpVSRLOURD:update(dt)
    if self:getIsActiveForInput() then
        if InputBinding.hasEvent(InputBinding.sdm_TOGGLE_HELP) then
            self.helpVSRLOURD = not self.helpVSRLOURD;
        end;
    end;
end;

function helpVSRLOURD:updateTick(dt)
end;

function helpVSRLOURD:draw()
    if not self.helpVSRLOURD then
        renderText(0.01, 0.97, 0.021, "Ctrl Gauche +F1 - SurfDuck Modding - www.fs17modstp.com");
    else        
        renderText(0.03, 0.08, 0.021, "Pour un DON: https://streamlabs.com/surfduckmodding");
        renderText(0.03, 0.06, 0.021, "FACEBOOK: https://www.facebook.com/SurfDuck-Modding-239059623478977/");
        renderText(0.03, 0.04, 0.021, "YOUTUBE: https://www.youtube.com/c/SurfduckModding");
        renderText(0.03, 0.02, 0.021, "Mon site Web: www.fs17modstp.com");
    end;
end;  

function helpVSRLOURD:onLeave()
    self.helpVSRLOURD = false;
end;
